Loading...
Searching...
No Matches
Storage.h File Reference
`#include <cstring>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | casacore::arrays_internal::Storage< T >
| This class emplements a static (but run-time) sized array. More...
struct | casacore::arrays_internal::Storage< T >::disjunction<... >
| Used by template code above These are already in C++17, but currently only using C++11... More...
struct | casacore::arrays_internal::Storage< T >::disjunction< B1 >
struct | casacore::arrays_internal::Storage< T >::disjunction< B1, Bn... >
struct | casacore::arrays_internal::Storage< T >::conjunction<... >
struct | casacore::arrays_internal::Storage< T >::conjunction< B1 >
struct | casacore::arrays_internal::Storage< T >::conjunction< B1, Bn... >

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines
namespace | casacore::arrays_internal